Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj	(revision 10740)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj	(revision 10770)
@@ -80,6 +80,4 @@
     <Compile Include="Implementations\Filter\IFilter.cs" />
     <Compile Include="Implementations\ManipulationLogic.cs" />
-    <Compile Include="Implementations\Transformations\LinearTransformation.cs" />
-    <Compile Include="Implementations\Transformations\Transformation.cs" />
     <Compile Include="Interfaces\IPreprocessingData.cs" />
     <Compile Include="Interfaces\IDataGridLogic.cs" />
@@ -169,8 +167,15 @@
       <Name>HeuristicLab.Problems.DataAnalysis.Symbolic-3.4</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis.Transformations\3.3\HeuristicLab.Problems.DataAnalysis.Transformations-3.3.csproj">
+      <Project>{2e257a94-d1af-435c-99b4-5ac00eadfd6a}</Project>
+      <Name>HeuristicLab.Problems.DataAnalysis.Transformations-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis\3.4\HeuristicLab.Problems.DataAnalysis-3.4.csproj">
       <Project>{df87c13e-a889-46ff-8153-66dcaa8c5674}</Project>
       <Name>HeuristicLab.Problems.DataAnalysis-3.4</Name>
     </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <Folder Include="Implementations\Transformations\" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/Transformations/LinearTransformation.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/Transformations/LinearTransformation.cs	(revision 10740)
+++ 	(revision )
@@ -1,92 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.DataPreprocessing.Transformations;
-using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-namespace HeuristicLab.DataPreprocessing.Implementations.Transformations {
-  [Item("LinearTransformation", "Represents a linear transformation with multiplication and addition.")]
-  public class LinearTransformation : Transformation<double> {
-    protected const string MultiplicandParameterName = "Multiplicand";
-    protected const string SummandParameterName = "Summand";
-
-    #region Parameters
-    public IValueParameter<DoubleValue> MultiplicandParameter {
-      get { return (IValueParameter<DoubleValue>)Parameters[MultiplicandParameterName]; }
-    }
-    public IValueParameter<DoubleValue> SummandParameter {
-      get { return (IValueParameter<DoubleValue>)Parameters[SummandParameterName]; }
-    }
-    #endregion
-
-    #region properties
-    public double Multiplicand {
-      get { return MultiplicandParameter.Value.Value; }
-    }
-
-    public double Summand {
-      get { return SummandParameter.Value.Value; }
-    }
-    #endregion
-
-    [StorableConstructor]
-    protected LinearTransformation(bool deserializing) : base(deserializing) { }
-    protected LinearTransformation(Transformation<double> original, Cloner cloner)
-      : base(original, cloner) {
-    }
-    protected LinearTransformation() {
-    }
-    public LinearTransformation(IEnumerable<string> allowedColumns)
-      : base(allowedColumns) {
-      Parameters.Add(new ValueParameter<DoubleValue>(MultiplicandParameterName, "Multiplicand for linear transformation", new DoubleValue(1.0)));
-      Parameters.Add(new ValueParameter<DoubleValue>(SummandParameterName, "Summand for linear transformation", new DoubleValue(0.0)));
-    }
-
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new LinearTransformation(this, cloner);
-    }
-
-    public override IEnumerable<double> Apply(IEnumerable<double> data) {
-      return data.Select(e => e * Multiplicand + Summand);
-    }
-
-    public override bool Check(IEnumerable<double> data, out string errorMsg) {
-      StringBuilder sb = new StringBuilder();
-      bool success = true;
-      errorMsg = null;
-
-      if (Multiplicand == 0.0) {
-        sb.Append(String.Format("Multiplicand is 0, all {0} entries will be set to {1}. Reversal will not be possble", data.Count(), Summand));
-        errorMsg = sb.ToString();
-        success = false;
-      }
-      return success;
-    }
-  }
-}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/Transformations/Transformation.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/Transformations/Transformation.cs	(revision 10740)
+++ 	(revision )
@@ -1,61 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Collections.Generic;
-using System.Linq;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.DataAnalysis;
-
-namespace HeuristicLab.DataPreprocessing.Transformations {
-  [Item("Transformation", "Represents the base class for a transformation.")]
-  [StorableClass]
-  public abstract class Transformation<T> : ParameterizedNamedItem, ITransformation<T> {
-    protected const string ColumnParameterName = "Column";
-    #region parameter properties
-    public IConstrainedValueParameter<StringValue> ColumnParameter {
-      get { return (IConstrainedValueParameter<StringValue>)Parameters[ColumnParameterName]; }
-    }
-    #endregion
-
-    #region properties
-    public string Column {
-      get { return ColumnParameter.Value.Value; }
-    }
-    #endregion
-
-    [StorableConstructor]
-    protected Transformation(bool deserializing) : base(deserializing) { }
-    protected Transformation(Transformation<T> original, Cloner cloner): base(original, cloner) {}
-    protected Transformation() { }
-    protected Transformation(IEnumerable<string> allowedColumns) {
-      var allowed = new ItemSet<StringValue>(allowedColumns.Select(e => new StringValue(e)));
-      Parameters.Add(new ConstrainedValueParameter<StringValue>(ColumnParameterName, "Column used for the Transformation", allowed));
-    }
-
-    public abstract IEnumerable<T> Apply(IEnumerable<T> data);
-
-    public abstract bool Check(IEnumerable<T> data, out string errorMsg);
-  }
-}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Plugin.cs.frame
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Plugin.cs.frame	(revision 10740)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Plugin.cs.frame	(revision 10770)
@@ -45,4 +45,5 @@
   [PluginDependency("HeuristicLab.Parameters","3.3")]
   [PluginDependency("HeuristicLab.Persistence","3.3")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis.Transformations", "3.3")]
   public class HeuristicLabDataPreprocessingPlugin : PluginBase {
   }
